/*
Winson Chung
Copyright 2003.
For academic use only.
*/

import java.awt.Rectangle;

/**
 * The boundary for the changes in the image.
 */
public class Boundary {

	//currently: top, left, right, bottom
	/** The points the make up the boundary. */
	int[] points;
	int offset;

	/**
	 * Constructor, creates a new boundary.
	 * @param acc the accuracy of the boundary.
	 * @param row the row of the initial point.
	 * @param col the col of the initial point.
	 */
	public Boundary(int acc, int row, int col, int off) { //accuracy
		offset = off;
		points = new int[acc];
		//for rect only:
		points[0] = row;
		points[1] = col;
		points[2] = col;
		points[3] = row;
	}

	/**
	 * Sets a point value.
	 * @param p the point to set the value.
	 * @param value the value to be set.
	 */
	public void set(int p, int value) {
		points[p] = value;
	}

	/**
	 * Returns whether a point is in the boudary, or on the edge
	 * (within 1 pixel) of the boundary.
	 * @param r the row of the pixel being checked.
	 * @param c the col of the pixel being checked.
	 * @return whether a point is within the boundary.
	 */
	public boolean withIn(int r, int c) {
		boolean whole = (r <= (points[3]+1+offset) && r >= (points[0]-1-offset) && c <= (points[2]+1+offset) && c >= (points[1]-1-offset));
		return whole;
	}

	/**
	 *
	 */
	public boolean upByOne(int p, int v) {
		return (v-points[p] <= offset+1 && v-points[p] >= 0);
	}

	/**
	 *
	 */
	public boolean downByOne(int p, int v) {
		return (points[p]-v <= offset+1 && points[p]-v >= 0);
	}

	/**
	 *
	 */
	public Rectangle returnRectangle() {
		return (new Rectangle(points[1], points[0], points[2]-points[1], points[3]-points[0]));
	}
}