/*
Winson Chung
Copyright 2003.
For academic use only.
*/

import java.awt.*;
import java.awt.image.*;
import javax.swing.*;

/**
 * This class actually draws the image onto the gui panel.
 */
public class Image extends JPanel {

	/** Image to be drawn. */
	BufferedImage img;

	/** Boundaries of the different sections. */
	Rectangle[] bounds;
	
	/** whether to draw the difference boxes or not. */
	boolean draw;

	/**
	 * Constructor takes image and sets defaults for the background component.
	 * @param io the image to be drawn by this class.
	 */
	public Image(BufferedImage io) {
		this(io, null);
	}

	public Image(BufferedImage io, Rectangle[] bnds) {
		super();
		img = io;
		bounds = bnds;
		draw = true;
		this.setBackground(Color.WHITE);
		this.setPreferredSize(new Dimension(img.getWidth(), img.getHeight()));
	}

	/**
	 * Overides the paintComponent() method for drawing the image.
	 */
	public void paintComponent(Graphics g) {
		super.paintComponent(g);
		Graphics2D g2d = (Graphics2D) g;

		if (img != null)
			g2d.drawImage(img, null, 0,0);

		if (bounds != null && draw) {
			g2d.setColor(Color.MAGENTA);
			for(int i = 0;i != bounds.length;i++) {
				g2d.draw(bounds[i]);
			}
		}

	}
	
	/**
	 * Whether to draw the bounds or not.
	 * @param tf to draw or not!
	 */
	public void setDraw(boolean tf) {
		draw = tf;	
	}
	
	/** 
	 * Returns whether to draw or not.
	 * @return whether to draw or not.
	 */
	public boolean getDraw() {
		return draw;	
	}
}