/*
Winson Chung
Copyright 2003.
For academic use only.
*/

import java.awt.*;
import java.awt.image.*;

/*
 * The main interface class that loads the image drivers and accepts user input.
 */
public class ImageComparison {

	/**
	 * Main method that takes in two arguements and loads them for ImageComparison.
	 * @param args an array of all variables.
	 */
	public static void main(String[] args) {
		if (args[0].indexOf("?") == -1 && args.length == 4) {
			try {
				BufferedImage[] images = ImageDriver.load(args[0], args[1]);
				//run comparison between the two images
				ImageLoader load = new ImageLoader(images, ComparisonDriver.compareRectangle(images, Integer.parseInt(args[2]), Integer.parseInt(args[3])));

			}catch (Exception e) {
				System.out.println(e.getMessage());
				e.printStackTrace();
			}
		}else {
			System.out.println("ImageComparison; Created by Winson Chung, c2003, for academic use only!\n");
			System.out.println("Usage: java ImageComparison <original pic> <comparison pic> <pixel offset> <color deviation %>");
		}
	}
}