/*
Winson Chung
Copyright 2003.
For academic use only.
*/

import java.awt.*;
import java.awt.image.*;
import java.io.*;
import javax.imageio.*;

/**
 * This class returns usable objects from the images.
 */
public class ImageDriver {

	/**
	 * Loads two images from a specified location. 
	 *
	 * @param fileOne the original image.
	 * @param fileTwo the image to be compared to the original.
	 * @return the images loaded
	 */	
	public static BufferedImage[] load(String fileOne, String fileTwo) {
		BufferedImage[] images = new BufferedImage[2];
		
		try {			
			File orig = new File(fileOne);
			File comp = new File(fileTwo);
			if (orig.exists() && comp.exists()) {
				images[0] = ImageIO.read(orig);
				images[1] = ImageIO.read(comp);
			}else {
				throw new Exception("Either of the two files do not exist");	
			}
		}catch (Exception e) {
			e.printStackTrace();
			throw new RuntimeException("Error loading files.");
		}	
		
		return images;
	}
}