/*
Winson Chung
Copyright 2003.
For academic use only.
*/

import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import javax.swing.*;

/**
* The class responsible for the loading of the images onto their gui counterparts.
*/
public class ImageLoader implements MouseListener{
	
	/* The two windows the pictures will be shown on. */
	JFrame[] back = new JFrame[2];
	
	/** Original image.*/
	Image orig;
	/** Comparison Image. */
	Image comp;
	
	/**
	* Loads the images onto the gui.
	* @param images the images to be loaded.
	*/
	public ImageLoader(BufferedImage[] images, Rectangle[] bnd) {
		back[0] = new JFrame("Original Image");
		back[1] = new JFrame("Comparison Image");
	
		//load images onto frams
		orig = new Image(images[0], bnd);
		orig.setDraw(false);
		orig.addMouseListener(this);
		comp = new Image(images[1], bnd);
		comp.setDraw(true);
		comp.addMouseListener(this);
		back[0].getContentPane().add(orig);
		back[1].getContentPane().add(comp);
		
	
		//pack and show frames
		back[0].pack();
		back[1].pack();
		back[1].setLocation(back[0].getWidth(), 0);
		back[0].show();
		back[1].show();
	
		//add listeners to close window
		back[0].addWindowListener(
			new WindowAdapter(){
				public void windowClosing(WindowEvent e){
					System.exit(0);
				}
			});
		back[1].addWindowListener(
			new WindowAdapter(){
				public void windowClosing(WindowEvent e){
					System.exit(0);
				}
			});
	}
	
	/**
	 * Generic MouseListener Interface implements!.
	 */
	public void mouseClicked(MouseEvent e) {
		if (e.getSource() == orig) {
			orig.setDraw(!orig.getDraw());
			orig.repaint();
		}else if (e.getSource() == comp) {
			comp.setDraw(!comp.getDraw());
			comp.repaint();
		}
	}
	public void mousePressed(MouseEvent e) {}
	public void mouseReleased(MouseEvent e) {}
	public void mouseEntered(MouseEvent e) {}
	public void mouseExited(MouseEvent e) {}
}